# This file was created automatically by SWIG.
import brushstylec
class BrushStylePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C BrushStyle instance at %s>" % (self.this,)
class BrushStyle(BrushStylePtr):
    def __init__(self,this):
        self.this = this




class CircleBrushPtr(BrushStylePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,brushstylec=brushstylec):
        if self.thisown == 1 :
            brushstylec.delete_CircleBrush(self)
    def __repr__(self):
        return "<C CircleBrush instance at %s>" % (self.this,)
class CircleBrush(CircleBrushPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(brushstylec.new_CircleBrush,_args,_kwargs)
        self.thisown = 1




class SquareBrushPtr(BrushStylePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,brushstylec=brushstylec):
        if self.thisown == 1 :
            brushstylec.delete_SquareBrush(self)
    def __repr__(self):
        return "<C SquareBrush instance at %s>" % (self.this,)
class SquareBrush(SquareBrushPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(brushstylec.new_SquareBrush,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: brushstyle.spy,v $
# $Revision: 1.4 $
# $Author: langer $
# $Date: 2011-11-02 18:44:58 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@nist.gov. 


from ooflib.common import cregisteredclass
from ooflib.common.IO import parameter
from ooflib.common.IO import xmlmenudump

cregisteredclass.registerCClass(BrushStylePtr)
BrushStylePtr.tip = "Brush styles for pixel selection."
BrushStylePtr.discussion = """<para>
Objects of the <classname>BrushStyle</classname> are used as the
<varname>style</varname> parameter in the <xref
linkend='MenuItem-OOF.Graphics_n.Toolbox.Pixel_Select.Brush'/> command
for selecting pixels.
</para>"""

circleReg = cregisteredclass.Registration(
    "Circle",
    BrushStylePtr,
    CircleBrush,
    ordering=0,
    params=[parameter.FloatParameter('radius', 0,
                                     tip='Radius of the brush in physical units.')],
    tip="Brush with a circular profile.",
    discussion=xmlmenudump.loadFile('DISCUSSIONS/common/reg/circlebrush.xml')
    )

squareReg = cregisteredclass.Registration(
    "Square",
    BrushStylePtr,
    SquareBrush,
    ordering=1,
    params=[parameter.FloatParameter('size', 0,
                                     tip='Half the side of the brush in physical units.')],
    tip="Brush with a square profile.",
    discussion=xmlmenudump.loadFile('DISCUSSIONS/common/reg/squarebrush.xml')
    )

